apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ .Release.Name }}-matomo
  {{- if .Values.annotations }}
  annotations:
    {{- range $key, $value := .Values.annotations }}
    {{ $key }}: {{ tpl $value $ | quote }}
  {{- end }}
  {{- end }}
spec:
  {{ if .Values.tls.enabled }}
  tls:
    - hosts:
        - {{ .Values.host }}
      secretName: {{ .Release.Name }}-matomo-tls
  {{ end }}
  rules:
    - host: {{ .Values.host }}
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: {{ .Release.Name }}-matomo
                port:
                  name: http
